sc::R12IntEval(3)

NAME
sc::R12IntEval - R12IntEval is the top-level class which computes intermediates occuring in linear R12 theories.

SYNOPSIS

#include <r12int_eval.h>

Inherits sc::SavableState.

  Public Member Functions
R12IntEval (StateIn &)
R12IntEval (const Ref< R12IntEvalInfo > &info, bool gbc=true, bool ebc=true, LinearR12::ABSMethod abs_method=LinearR12::ABS_CABSPlus, LinearR12::StandardApproximation stdapprox=LinearR12::StdApprox_Ap, bool follow_ks_ebcfree=false)
Constructs R12IntEval.
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual void obsolete ()
void include_mp1 (bool include_mp1)
void set_debug (int debug)
void set_dynamic (bool dynamic)
void set_print_percent (double print_percent)
void set_memory (size_t nbytes)
const bool gbc () const
const bool ebc () const
const LinearR12::StandardApproximation stdapprox () const
bool follow_ks_ebcfree () const
Ref< R12IntEvalInfo > r12info () const
RefSCDimension dim_oo_aa () const
RefSCDimension dim_oo_ab () const
RefSCDimension dim_oo_s () const
RefSCDimension dim_oo_t () const
RefSCDimension dim_vv_aa () const
RefSCDimension dim_vv_ab () const
virtual void compute ()
This function causes the intermediate matrices to be computed.
RefSCMatrix V_aa ()
Returns alpha-alpha block of the V intermediate matrix.
RefSCMatrix X_aa ()
Returns alpha-alpha block of the X intermediate matrix.
RefSymmSCMatrix B_aa ()
Returns alpha-alpha block of the B intermediate matrix.
RefSCMatrix A_aa ()
Returns alpha-alpha block of the A intermediate matrix. Returns 0 if EBC is assumed.
RefSCMatrix Ac_aa ()
Returns alpha-alpha block of the A intermediate matrix. Returns 0 if EBC is assumed.
RefSCMatrix T2_aa ()
Returns alpha-alpha block of the MP2 T2 matrix. Returns 0 if EBC is assumed.
RefSCMatrix V_ab ()
Returns alpha-beta block of the V intermediate matrix.
RefSCMatrix X_ab ()
Returns alpha-beta block of the X intermediate matrix.
RefSymmSCMatrix B_ab ()
Returns alpha-beta block of the B intermediate matrix.
RefSCMatrix A_ab ()
Returns alpha-beta block of the A intermediate matrix. Returns 0 if EBC is assumed.
RefSCMatrix Ac_ab ()
Returns alpha-beta block of the A intermediate matrix. Returns 0 if EBC is assumed.
RefSCMatrix T2_ab ()
Returns alpha-beta block of the MP2 T2 matrix. Returns 0 if EBC is assumed.
RefSCVector emp2_aa ()
Returns alpha-alpha MP2 pair energies.
RefSCVector emp2_ab ()
Returns alpha-beta MP2 pair energies.
Ref< R12Amplitudes > amps ()
Returns amplitudes of pair correlation functions.
RefDiagSCMatrix evals () const

Detailed Description

R12IntEval is the top-level class which computes intermediates occuring in linear R12 theories. This class is used by all Wavefunction classes that implement linear R12 methods.

Constructor & Destructor Documentation

  sc::R12IntEval::R12IntEval (const Ref< R12IntEvalInfo > & info, bool gbc = true, bool ebc = true, LinearR12::ABSMethod abs_method = LinearR12::ABS_CABSPlus, LinearR12::StandardApproximation stdapprox = LinearR12::StdApprox_Ap, bool follow_ks_ebcfree = false)

Constructs R12IntEval.

If follow_ks_ebcfree is true then follow formalism of Klopper and Samson to compute EBC-free MP2-R12 energy.

Member Function Documentation

  void sc::R12IntEval::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Author

Generated automatically by Doxygen for MPQC from the source code.